## pskc pskc — Top-level include file. |

## Types and Values

typedef | pskc_t
typedef | pskc_key_t

## Description

The top-level <pskc/pskc.h> include file is responsible for declaring top-level types and including all other header files. The pskc_t type is used for the high-level PSKC container type and the pskc_key_t type represent each key package within the container.

## Functions

## Types and Values

### pskc_t

      typedef struct pskc pskc_t;

All PSKC data is represented through the pskc_t container type, which is a high-level structure that only carries a version indicator (see `pskc_get_version()`), an optional identity field (see `pskc_get_id()`) and any number of pskc_key_t types, each containing one key (see `pskc_get_keypackage()`).

### pskc_key_t

      typedef struct pskc_key pskc_key_t;

PSKC keys are represented through the pskc_key_t type. Each key is part of a higher level pskc_t container type. The `pskc_get_keypackage()` function is used to retrieve the pskc_key_t values from the pskc_t structure.